.extern kernel_service

.text
	.align 3

	.global	GetLSDataPointer
GetLSDataPointer:

	stqd	$lr, 16($sp)
	stqd	$sp, -32($sp)
	ai		$sp, $sp, -32

	andc	$5, $5, $5
	cwd		$6, 0($sp)

	ila		$3, KERNELCALL_GETLSDATAPOINTER
	shufb	$3, $3, $5, $6

	brasl	$lr, kernel_service

	ai		$sp, $sp, 32
	lqd		$lr, 16($sp)
	bi		$lr
	

	.size 	GetLSDataPointer, .-GetLSDataPointer
	.type	GetLSDataPointer, @function


	.set KERNELCALL_GETLSDATAPOINTER, 0x0
